Package org.springframework.test.context.jdbc

# Annotation Interface SqlGroup

@Target({TYPE,METHOD}) @Retention(RUNTIME) @Documented @Inherited public @interface SqlGroup
Container annotation that aggregates several `@Sql` annotations.

Can be used natively, declaring several nested `@Sql` annotations. Can also be used in conjunction with Java 8's support for repeatable annotations, where `@Sql` can simply be declared several times on the same class or method, implicitly generating this container annotation.

This annotation may be used as a meta-annotation to create custom composed annotations.

This annotation will be inherited from an enclosing test class by default. See `@NestedTestConfiguration` for details.

Since:
  4.1
Author:
  Sam Brannen
See Also:
  - `Sql`

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`Sql[]`
`value`

## Element Details

### value

Sql[] value